[CODE]
Public Function HyperlinkList_GetURLPointerFromItem(ByVal hWnd As Long, ByVal ItemID As Long) As Long
  Dim xType1 As HyperlinkListItemStruct
  
  ItemID = SendMessageA(hWnd, &H199&, ItemID, ByVal 0&)
  If Not (ItemID = 0& Or ItemID = -1&) Then
    Call RtlMoveMemory(xType1, ByVal ItemID, HyperlinkListItemLen)
    HyperlinkList_GetURLPointerFromItem = xType1.LnkURL
    End If
  End Function
